<?php
#=
/****************************************************************************
Copyright 2002, Daniel Deycard, Jacques Messines, Alain Pomirol
(CATICE Académie de Bordeaux)

This file is part of GiBii/Melia.

GiBii/Melia is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

GiBii/Melia is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GiBii/Melia; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

****************************************************************************/

//utilisé par sadmin/verif_index.php et les mises à jour


$liste=array(
    '_params_globaux'   => array(
            ),
    '_params_auth'      => array (
            array('nom'     => 'ix_etb_n',    	'col'  => '(etab_id,param_nom)',  'unique' => '')
            ),
    'brevets'			=> array(
    		array('nom'	    => 'ix_elv',		'col'	=>	'(eleve_id)',	'unique'	=>	'')
    		),
    'classes'           => array(
            array('nom'     => 'ix_etb',    	'col'  => '(etab_id)',              'unique' => '')
            ),
    'comptes'           => array(
            array('nom'     => 'ix_log_etb',	'col'  => '(login,etab_id)',        'unique' => ''),
            //array('nom'     => 'ix_etb',    	'col'  => '(login)',                'unique' => ''),
            array('nom'     => 'ix_elv',    	'col'  => '(eleve_id)',             'unique' => ''),
            array('nom'     => 'ix_prof',   	'col'  => '(prof_id)',              'unique' => '')
            ),
    'demandes'          => array (
            array('nom'     => 'ix_elv_dis',	'col'  => '(eleve_id,disc_id)',     'unique' => '')
            ),
	'divers'			=> array (
            array('nom'     => 'ix_motcle_id',	'col'  => '(motcle,id)',     		'unique' => '')
            ),            
    'eleves'            => array (
            array('nom'     => 'ix_npt',    	'col'  => '(nom,prenom,tag)',       'unique' => ''),
            array('nom'     => 'ix_etb_at', 	'col'  => '(etab_id,annee,tag)',    'unique' => ''),
            array('nom'     => 'ix_cpt',    	'col'  => '(compte_id)',            'unique' => '')
            ),
    'erreurs_logins'    => array (
            array('nom'     => 'ix_etb',      	'col'  => '(etab_id)',            	'unique' => ''),
            array('nom'     => 'ix_cod',      	'col'  => '(code)',          		'unique' => ''),
            array('nom'     => 'ix_qnd',      	'col'  => '(quand)',          		'unique' => ''),
            ),
    'profs'             => array(
            array('nom'     => 'ix_npt',    	'col'  => '(nom,prenom,tag)',       'unique' => ''),
            array('nom'     => 'ix_elv_at', 	'col'  => '(etab_id,annee,tag)',    'unique' => ''),
            array('nom'     => 'ix_cpt',    	'col'  => '(compte_id)',            'unique' => '')
            ),
    'etablissements'    => array (
            array('nom'     => 'ix_rne',    	'col'  => '(rne)',                  'unique' => 'UNIQUE')
            ),
    'items'             => array(
            array('nom'     => 'ix_br',     'col'  => '(brevet_no,rub_no)',     	'unique' => '')
            ),
    'libelles'          => array(
            ),
    'libelles_perso'    => array(
            array('nom'     => 'ix_etb_it', 	'col'  => '(etab_id,item_id)',      'unique' => '')
            ),
    'lien_eleves_classes'       => array (
            array('nom'     => 'ix_elv',    	'col'  => '(eleve_id)',             'unique' => ''),
            array('nom'     => 'ix_cla',    	'col'  => '(classe_id)',            'unique' => '')
            ),
    'lien_eleves_disciplines'   => array (
            array('nom'     => 'ix_elv',    	'col'  => '(eleve_id)',             'unique' => ''),
            array('nom'     => 'ix_dis',    	'col'  => '(disc_id)',              'unique' => '')
            ),
    'lien_profs_classes'        => array (
            array('nom'     => 'ix_prf',    	'col'   => '(prof_id)',             'unique' => ''),
            array('nom'     => 'ix_cla',    	'col'  => '(classe_id)',            'unique' => '')
            ),
    'lrp'                       => array (
            array('nom'     => 'ix_rp',     	'col'  => '(resultat_id,prof_id)',  'unique' => 'UNIQUE')
            ),
            
    'lpi'                       => array (
            array('nom'     => 'ix_prf',    	'col'  => '(prof_id)',              'unique' => ''),
            array('nom'     => 'ix_it',     	'col'  => '(item_id)',              'unique' => '')
            ),
    'reponses'          => array (
            array('nom'     => 'ix_elv',    	'col'  => '(message_id)',           'unique' => ''),
            array('nom'     => 'ix_prf',    	'col'  => '(prof_id)',              'unique' => '')
            ),
    'resultats'         => array (
            array('nom'     => 'ix_elitdi',  	'col'  => '(eleve_id,item_id,disc_id)',  'unique' => '')
            ),
    'rubriques'         => array (
            )
    );

?>